import * as z from 'zod';
export const TwilioSettingsGroupByResultSchema = z.array(z.object({
  id: z.number().int(),
  userId: z.number().int(),
  accountSid: z.string(),
  authToken: z.string(),
  phoneNumber: z.string(),
  greetingMessage: z.string(),
  templates: z.unknown(),
  _count: z.object({
    id: z.number(),
    userId: z.number(),
    accountSid: z.number(),
    authToken: z.number(),
    phoneNumber: z.number(),
    greetingMessage: z.number(),
    templates: z.number(),
    user: z.number()
  }).optional(),
  _sum: z.object({
    id: z.number().nullable(),
    userId: z.number().nullable()
  }).nullable().optional(),
  _avg: z.object({
    id: z.number().nullable(),
    userId: z.number().nullable()
  }).nullable().optional(),
  _min: z.object({
    id: z.number().int().nullable(),
    userId: z.number().int().nullable(),
    accountSid: z.string().nullable(),
    authToken: z.string().nullable(),
    phoneNumber: z.string().nullable(),
    greetingMessage: z.string().nullable()
  }).nullable().optional(),
  _max: z.object({
    id: z.number().int().nullable(),
    userId: z.number().int().nullable(),
    accountSid: z.string().nullable(),
    authToken: z.string().nullable(),
    phoneNumber: z.string().nullable(),
    greetingMessage: z.string().nullable()
  }).nullable().optional()
}));